Page MenuHomePhabricator

Affiliations/enrollments not always correctly synced between user data in database and frontend indices
Closed, ResolvedPublic

Description

  1. Go to https://wikimedia.biterg.io/app/kibana#/dashboard/Data-Status
  2. See that for Gerrit, "Last Retrieval" was on "April 9th, 2018"
  3. Go to https://wikimedia.biterg.io/app/kibana#/dashboard/Gerrit
  4. Apply filter to only see Organizations = "Independent"
  5. Set date filter to include Q1 (2018-01-01 to 2018-03-31)
  6. Look at the names in the list of "Submitters" below

Expected outcome:
"Submitters" list should not include names which have other affiliations than Independent or null

Actual outcome:

  • "Submitters" list includes names which have other affiliations than Independent or null, though these accounts have been enrolled (=affiliation) a long time ago in the database.
  • Must apply a manual filter to get proper results: author_bot:false AND (NOT name:Nikerabbit) AND (NOT name:Vgutierrez) AND (NOT name:"Tonina Zhelyazkova") AND (NOT name:"Bstorm") AND (NOT name:"Ebba Aniansson")

Upstream: https://gitlab.com/Bitergia/c/Wikimedia/support/issues/27 (not public); as a follow-up to https://gitlab.com/Bitergia/c/Wikimedia/support/issues/15

Event Timeline

Aklapper triaged this task as Medium priority.Apr 9 2018, 10:19 AM
Aklapper created this task.
Aklapper updated the task description. (Show Details)

The issue above has been fixed by manually generating a new set of enriched indexes.
Not sure if Bitergia also plans to investigate the underlying reasons (I've asked).

Aklapper renamed this task from Affiliations/enrollments not correctly synced between user data in database and frontend indices to Affiliations/enrollments not always correctly synced between user data in database and frontend indices.Apr 16 2018, 9:21 AM

Yes, keeping this ticket open for further investigation.

This is being worked on: "A fix was just included in the latest release and it will be deployed by next week. Hopefully it will kill that bug."

Aklapper closed this task as Resolved.Oct 7 2018, 12:07 AM
Aklapper claimed this task.

Fixed three months ago